package com.qiankun.vo;

import java.util.Date;

import com.qiankun.entity.RainbowPlanUser;

public class WishVo {
    
    private String id; //愿望ID
    private String title;//愿望标题
    private String content;//愿望内容
    private String uploadImage; //上传的图片
    private int status;//愿望状态,0:发布;1:领取;2.寄送中;3:红会代收;4:完成
    private String volunteerId; //领取愿望的爱心人士ID
    private String rainbowPlanUserId; //小朋友ID
    private Date createTime = new Date();
    private String activityId;//彩虹计划活动ID
    private int helpType;//1:自送礼物;2:快递
    private String expressCompany;//快递公司
    private String expressCode;//快递单号
    
    private RainbowPlanUser user;  //小朋友信息
    private RainbowPlanUser volunteer; //爱心人士信息
    
    private String searchStr;
    private String order;
    private String sort;
    
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRainbowPlanUserId() {
        return rainbowPlanUserId;
    }

    public void setRainbowPlanUserId(String rainbowPlanUserId) {
        this.rainbowPlanUserId = rainbowPlanUserId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUploadImage() {
        return uploadImage;
    }

    public void setUploadImage(String uploadImage) {
        this.uploadImage = uploadImage;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getVolunteerId() {
        return volunteerId;
    }

    public void setVolunteerId(String volunteerId) {
        this.volunteerId = volunteerId;
    }

    public String getActivityId() {
        return activityId;
    }

    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

    public int getHelpType() {
        return helpType;
    }

    public void setHelpType(int helpType) {
        this.helpType = helpType;
    }

    public String getExpressCompany() {
        return expressCompany;
    }

    public void setExpressCompany(String expressCompany) {
        this.expressCompany = expressCompany;
    }

    public String getExpressCode() {
        return expressCode;
    }

    public void setExpressCode(String expressCode) {
        this.expressCode = expressCode;
    }

	public RainbowPlanUser getUser() {
		return user;
	}

	public void setUser(RainbowPlanUser user) {
		this.user = user;
	}

	public RainbowPlanUser getVolunteer() {
		return volunteer;
	}

	public void setVolunteer(RainbowPlanUser volunteer) {
		this.volunteer = volunteer;
	}

	public String getSearchStr() {
		return searchStr;
	}

	public void setSearchStr(String searchStr) {
		this.searchStr = searchStr;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}
    
    
    
    
}
